/*
	$Id: ProgressReporter.java 5325 2010-04-29 08:06:05Z nicklas $

	Copyright (C) 2005 Samuel Andersson, Jari Häkkinen, Nicklas Nordborg
	Copyright (C) 2006 Jari Häkkinen

	This file is part of BASE - BioArray Software Environment.
	Available at http://base.thep.lu.se/

	BASE is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.

	BASE is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
*/
package net.sf.basedb.core;

/**

	Certain methods in BASE can report their progress back to
	the calling client application if they are giving an object
	that implements this interface.

	@author Nicklas
	@version 2.0
*/
public interface ProgressReporter
{
	/**
		Display a progress message.
		@param percent How many percent of the task that is completed
			or -1 if not known
		@param message A message, or null
	*/
	public void display(int percent, String message);

	/**
		Append a message to the previous one.
		@param message The message
	*/
	public void append(String message);
}
