/*
	$Id$

	Copyright (C) 2012 Nicklas Nordborg

	This file is part of BASE - BioArray Software Environment.
	Available at http://base.thep.lu.se/

	BASE is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.

	BASE is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
*/
package net.sf.basedb.core.data.annotations;

import java.util.Date;
import java.util.List;

/**
	Class for mapping the "Annotations" table with
	shortcuts to all 'FooValues' tables. This class is only needed for
	Hibernate to accept the mapping document and should never be used
	or instantiated in the code or by Hibernate.
	
	@author nicklas
	@since 3.2
	@base.modified $Date$
*/
public class AnnotationLink
{
	private int id;
	private int annotationSetId;
	private int annotationTypeId;
	private int valueId;
	private int source;
	
	AnnotationLink()
	{}
	
	public int getId()
	{
		return id;
	}
	
	public void setId(int id)
	{
		this.id = id;
	}
	
	public int getAnnotationSetId()
	{
		return annotationSetId;
	}
	
	public void setAnnotationSetId(int annotationSetId)
	{
		this.annotationSetId = annotationSetId;
	}
	
	public int getAnnotationTypeId()
	{
		return annotationTypeId;
	}
	
	public void setAnnotationTypeId(int annotationTypeId)
	{
		this.annotationTypeId = annotationTypeId;
	}

	public int getValueId()
	{
		return valueId;
	}
	
	public void setValueId(int valueId)
	{
		this.valueId = valueId;
	}

	public int getSource()
	{
		return source;
	}
	
	public void setSource(int source)
	{
		this.source = source;
	}
	
	// Integer
	List<Integer> getIntegerValues()
	{
		return null;
	}
	void setIntegerValues(List<Integer> values)
	{}

	// Long
	List<Long> getLongValues()
	{
		return null;
	}
	void setLongValues(List<Long> values)
	{}

	// Float
	List<Float> getFloatValues()
	{
		return null;
	}
	void setFloatValues(List<Float> values)
	{}
	
	// Double
	List<Double> getDoubleValues()
	{
		return null;
	}
	void setDoubleValues(List<Double> values)
	{}
	
	// String
	List<String> getStringValues()
	{
		return null;
	}
	void setStringValues(List<String> values)
	{}

	// Text
	List<String> getTextValues()
	{
		return null;
	}
	void setTextValues(List<String> values)
	{}
	
	// Boolean
	List<Boolean> getBooleanValues()
	{
		return null;
	}
	void setBooleanValues(List<Boolean> values)
	{}

	// Date
	List<Date> getDateValues()
	{
		return null;
	}
	void setDateValues(List<Date> values)
	{}

	// Timestamp
	List<Date> getTimestampValues()
	{
		return null;
	}
	void setTimestampValues(List<Date> values)
	{}

}
