/**
	$Id: GuestTest.java 5827 2011-10-26 10:51:52Z nicklas $

	Copyright (C) 2006 Nicklas Nordborg

	This file is part of BASE - BioArray Software Environment.
	Available at http://base.thep.lu.se/

	BASE is free software; you can redistribute it and/or modify it
	under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 3 of the License, or
	(at your option) any later version.

	BASE is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
*/
package net.sf.basedb.test.roles;

import net.sf.basedb.core.DbControl;
import net.sf.basedb.core.Project;
import net.sf.basedb.test.TestUtil;

/**
	This class contains the tests for the guest created
	by the root user.
	<ol>
	</ol>

	@author nicklas
	@version 2.0
	@base.modified $Date: 2011-10-26 12:51:52 +0200 (on, 26 okt 2011) $
*/
public class GuestTest
{
	public static boolean ok = true;
	
	/**
		Run the tests in this class.
	*/
	public static boolean run()
	{
		DbControl dc = null;
		TestUtil.write("++Entering guest test\n");
		try
		{
			TestUtil.login("guest", "guest");
			// Activate project
			dc = TestUtil.getDbControl();
			Project p = Util.findProject(dc, "Project A");
			dc.close();
			TestUtil.getSessionControl().setActiveProject(p);

			// Analysis
			AnalysisTest.run("guest");

			TestUtil.logout();
		}
		catch (Throwable t)
		{
			ok = false;
			t.printStackTrace();
		}
		finally
		{
			if (dc != null) dc.close();
		}
		TestUtil.write("++Leaving guest test (" + (ok ? "OK" : "FAILED") + ")\n");
		return ok;
	}

}
