/* $Id $
	------------------------------------------------------------------
	Copyright (C) 2012 Nicklas Nordborg

	This file is part of BASE - BioArray Software Environment.
	Available at http://base.thep.lu.se/

	BASE is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.

	BASE is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
	------------------------------------------------------------------

	@author Nicklas
*/
var SelectFile = function()
{
	var selectFile = {};
	var selected = [];
	
	selectFile.initPage = function()
	{
		Buttons.addClickHandler('close', App.closeWindow);
		Buttons.addClickHandler('btnOk', selectFile.returnSelected);
	}
	
	selectFile.setSelectedFile = function(fileId, path)
	{
		selected[0] = {'id': fileId, 'name': path};
		selectFile.updatePath();
	}

	selectFile.setSelectedDirectory = function(directoryId, path)
	{}
	
	selectFile.addSelected = function(fileId, path)
	{
		if (selectFile.getSelectedFileIndex(fileId) == -1)
		{
			selected[selected.length] = {'id': fileId, 'name': path};
		}
		selectFile.updatePath();
	}
	
	selectFile.removeSelected = function(fileId)
	{
		var index = selectFile.getSelectedFileIndex(fileId);
		if (index >= 0) selected.splice(index, 1);
		selectFile.updatePath();
	}
	
	selectFile.getSelectedFileIndex = function(fileId)
	{
		for (var i = 0; i < selected.length; i++)
		{
			if (selected[i].id == fileId) return i;
		}
		return -1;
	}
	
	selectFile.updatePath = function()
	{
		var path = '';
		for (var i = 0; i < selected.length; i++)
		{
			if (path != '') path += ', ';
			path += selected[i].name;
		}
		Doc.element('files').innerHTML = path;
	}
	
	selectFile.returnSelected = function()
	{
		var callback = Data.get('page-data', 'callback');
		var notifyTarget = window.opener.document.getElementById(callback);
		var callbackMethod = window.opener[callback];
		
		var remaining = selected.length-1;
		for (var i = 0; i < selected.length; i++)
		{
			var s = selected[i];
			s.remaining = remaining--;
			if (notifyTarget)
			{
				// Send event to the target in the opener window
				Events.sendCustomEvent(notifyTarget, 'base-selected', s);
			}
			else if (callbackMethod)
			{
				// Call the callback method in the opener window
				callbackMethod.call(null, s.id, s.path);
			}
		}
		window.close();
	}

	
	return selectFile;
}();

Doc.onLoad(SelectFile.initPage);


